// file: ht_set_0.cc
//

// isip include files
//
#include "hash_table.h"
#include "hash_table_constants.h"
 
// method: set_size_cc
//
// arguments:
//  int_4 size : (input) size of hash table
//
// return: a logical_1 indicating success
//
// this method sets the size of the hash table
//
logical_1 Hash_table::set_cells_cc(Hash_cell** cells_a) {

  // if we already have cells then we need to delete them
  //
  if (cells_d != (Hash_cell**)NULL) {
    delete [] cells_d;
  }
  
  // set the node list
  //
  cells_d = cells_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
